%define major 22
%define libname %mklibname dc1394_ %{major}
%define develname %mklibname dc1394 -d

Summary: 	Library for 1394 Digital Camera Specification
Name: 		libdc1394
Version: 	2.2.5
Release: 	%mkrel 2
License: 	GPLv2+
Group: 		System/Libraries
URL: 		http://sourceforge.net/projects/libdc1394/
Source0: 	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libdc1394-2.2.0-fix-linking.patch
Patch1:		libdc1394-2.1.2-videodev.h.patch
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(libv4l1)
Requires: 	libraw1394 kernel

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries
Provides: 	libdc1394

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{develname}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
%if "%{_lib}" != "lib"
Provides: 	libdc1394-devel = %{version}-%{release}
%endif
Provides: 	dc1394-devel = %{version}-%{release}

%description -n %{develname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q 
%autopatch -p0

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/dc1394_reset_bus
%{_includedir}/dc1394
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/*.1*


%changelog
* Fri Mar 10 2017 akien <akien> 2.2.5-2.mga6
+ Revision: 1091623
- Rebuild for v4l-utils 1.12.3

* Sun Jan 01 2017 luigiwalser <luigiwalser> 2.2.5-1.mga6
+ Revision: 1078964
- 2.2.5

* Mon May 09 2016 luigiwalser <luigiwalser> 2.2.4-1.mga6
+ Revision: 1011441
- 2.2.4

* Mon Feb 01 2016 umeabot <umeabot> 2.2.3-3.mga6
+ Revision: 930776
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.3-2.mga5
+ Revision: 741535
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 2.2.3-1.mga5
+ Revision: 738688
- 2.2.3

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-3.mga5
+ Revision: 681404
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 tv <tv> 2.2.2-2.mga5
+ Revision: 643467
- switch to pkgconfig() style BRs

* Wed Mar 12 2014 luigiwalser <luigiwalser> 2.2.2-1.mga5
+ Revision: 602690
- 2.2.2

* Sat Oct 19 2013 umeabot <umeabot> 2.2.1-2.mga4
+ Revision: 528592
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 luigiwalser <luigiwalser> 2.2.1-1.mga4
+ Revision: 446237
- 2.2.1

* Sat Jan 12 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 356957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 luigiwalser <luigiwalser> 2.2.0-1.mga3
+ Revision: 282361
- 2.2.0
- rediff patch 0 (linking to pthread)

* Sun Jan 22 2012 fwang <fwang> 2.1.4-1.mga2
+ Revision: 199371
- new version 2.1.4

* Tue Sep 13 2011 fwang <fwang> 2.1.3-2.mga2
+ Revision: 142905
- drop .la files

* Mon Jun 20 2011 tv <tv> 2.1.3-1.mga2
+ Revision: 110711
- new release
- BuildRequires: libv4l-devel

* Thu Apr 21 2011 rtp <rtp> 2.1.2-7.mga1
+ Revision: 89407
- disable v4l1 application to fix build failure

  + ahmad <ahmad>
    - drop old/uneeded scriptlets
    - replace X11-devel with libx11-devel libxv-devel libsm-devel
    - drop old kernel versionated requires
    - imported package libdc1394

